<!DOCTYPE HTML>
<html lang="de">
<head>

<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta charset="utf-8">
<title>Visu Edit</title>

<style>

.menuFrame {
  font-family: Arial;
  background-color: lightgray;
  position: absolute;
  left: 0px;
  top: 0px;
  height: 30px;
  width: 100%;
  border: solid;
  font-size: medium;
  z-index: 98;
}

.formlistFrame {
  font-family: Arial;
  background-color: lightgray;
  position: absolute;
  left: 120px;
  top: 40px;
  height: 360px;
  width: 400px;
  border: solid;
  font-size: medium;
  z-index: 99;
}

.formkindUFrame {
  font-family: Arial;
  background-color: lightgray;
  position: absolute;
  left: 350px;
  top: 140px;
  height: 120px;
  width: 200px;
  border: solid;
  font-size: medium;
  z-index: 99;
}

.formkindNFrame {
  font-family: Arial;
  background-color: lightgray;
  position: absolute;
  left: 350px;
  top: 150px;
  height: 120px;
  width: 200px;
  border: solid;
  font-size: medium;
  z-index: 99;
}

.formtextC {
  font-family: Arial;
  background-color: lightgray;
  position: absolute;
  left: 30%;
  top: 30%;
  height: 260px;
  width: 240px;
  border: solid;
  font-size: medium;
  z-index: 99;
}


.msg {
  font-family: Arial;
  color: red;
  text-align: left;
  font-size: medium;
}

.divpos {
  font-family: Arial;
  text-align: left;
  position: absolute;
  left: 500px;
  top: 100px;
  width: 120px;
  height: 300px;
  background-color: lightgray;
  z-index: 99;
}

.clobjform {
  font-family: Arial;
  text-align: left;
  position: absolute;
  left: 400px;
  top: 100px;
  width: 300px;
  height: 450px;
  background-color: lightgray;
  z-index: 99;

}


.dynitems {

}


.txtpos {
  font-family: Arial;
  text-align: left;
  position: relative;
  margin-left: 15px;
  font-size: small;
}

.txtpos2 {
  font-family: Arial;
  text-align: left;
  position: relative;
  margin-right: 30px;
  font-size: small;
}

.okbutton {
  margin-right: 10px;
  float: right;
}

.leftbutton {
  margin-left: 10px;
  float: left;
}

.objframe {
  position:absolute;
  left:10px;
  top:40px;
}

.objimage {
  position:absolute;
  left:10px;
  top:40px;

}

.objbutton {
  position:absolute;
  left:10px;
  top:40px;
  font-weight: bold;
}

.objtrack {
  position:absolute;
  left:10px;
  top:40px;

}

.objshutter {
  position:absolute;
  left:10px;
  top:40px;
  width:170px;
  height:60px;
}

.objbeam {
  position:absolute;
  left:10px;
  top:40px;
}

.objtherm {
  position:absolute;
  left:10px;
  top:40px;
}

.objtext {
  position:absolute;
  left:10px;
  top:40px;
}

.txtlabel {
  position:absolute;
  left:10px;
  top:40px;
}

.hyperbt {
  position:absolute;
  left:10px;
  top:40px;
}

body {
height:100%;
background-color: MidNightBlue;
background-position: 30px 50px;
background-repeat: no-repeat;

}


</style>

<link href="jquery.mobile-min.css" rel="stylesheet">
<script src="jquery.min.js"></script>
<script src="jquery-ui.min.js"></script>
<script>

var curimage = "";
var curitem = "";
var oldXPos = 0;
var oldYPos = 0;
var isDragging = false;
var resize = false;
var StartPos = 0;
var objname = "";
var objdescr = "";
var noinp = "";
var objkind = "";
var objtype = "";
var objimg = "";
var objimglist = "";
var objcounter = 0;

var ViewName = "NeueAnsicht";
var ViewBGCol = "#ffffff";
var ViewBGPict = "";

var ViewGridX = "0";
var ViewGridY = "0";
var FrameStdWidth = "180";
var FrameStdHeight = "60";

var ColorFrame = "#e1e1e1";
var ColorDescr = "#0000ff";
var ColorValue = "#0000ff";

var textedit = false;
var hyperbtedit = false;
var curitem = "";
var noresize = false;

var SaveSite = true;


$(document).ready(function(){
//$('#viewdata').hide();

$("#selectobj").draggable();
$("#setform").draggable();
$("#objform").draggable();

$("#viewname").val(ViewName);
$("#viewcolor").val(ViewBGCol);
$("body").css('background-color', ViewBGCol);
$("#viewbgpict").val(ViewBGPict);
$("body").css({'background-image': 'url(bgimages/' + ViewBGPict + ')'});

$("#viewgridx").val(ViewGridX);
$("#viewgridy").val(ViewGridY);
$("#framewidth").val(FrameStdWidth);
$("#frameheight").val(FrameStdHeight);
$("#stdframecolor").val(ColorFrame);
$("#stddescrcolor").val(ColorDescr);
$("#stdvaluecolor").val(ColorValue);

$(window).mousemove(function(event) {
  if (curimage != "")  {
    if ((isDragging) && (!noresize)) {
      console.log(event.pageX + "  " + "Dragging " + curimage);
      resize = true;
      if (oldXPos == 0)  {
        oldXPos = event.pageX;
        oldYPos = event.pageY;
        }
      var differenceX = event.pageX - oldXPos;
      var differenceY = event.pageY - oldYPos;
      console.log(differenceX + "/" + differenceY);
      NewWidth = $(curimage).width() + differenceX;
      NewHeight = $(curimage).height() + differenceY;
      if (NewWidth > 20)
        $(curimage).css({"width" : NewWidth});
      if (NewHeight > 20)
        $(curimage).css({"height" : NewHeight});
      oldXPos = event.pageX;
      oldYPos = event.pageY;

      //var pos = $(curitem).position();
      $("#xpos").val(event.pageX);
      $("#ypos").val(event.pageY);

      $("#objwidth").val($(curitem).width());
      $("#objheight").val($(curitem).height());
      SetNewObjVals(99);
      }
    else  {
      $(curimage).css({"left" : event.pageX - 10, "top" : event.pageY - 10});
      }
    }

  });

$(window).mousedown(function(event) {
  isDragging = true;
  oldXPos = 0;
  SaveSite = false;
  });

$(window).mouseup(function(event) {
  if (resize)  {
    resize = false;
    noresize = false;
    if (curitem.length > 0)  {
      var pos = $(curitem).position();
      $("#xpos").val(pos.left);
      $("#ypos").val(pos.top);
      $("#objwidth").val($(curitem).width());
      $("#objheight").val($(curitem).height());
      SetNewObjVals(0);
      }
    }
  isDragging = false;
  });

/*
$("#settings").select(function(event) {
  alert("selectsetttings");
  })
*/

});


window.onbeforeunload = function () {
  if (!SaveSite)
    return "Seite ohne Speichern verlassen?";
};


function LoadView()
{
window.location.href = 'servmain.ccc?HTM=ViewList.cls';
}


function NewView()
{
window.location.href = 'servmain.ccc?HTM=VisuEdit.cls';
}


function setViewGrid()
{
ViewGridX = $("#viewgridx").val();
ViewGridY = $("#viewgridy").val();
$("#viewgrid").hide();
}

function EditGrids()
{
$("#viewgridx").val(ViewGridX);
$("#viewgridy").val(ViewGridY);
$('#setform').hide();
$("#viewgrid").show();
$("#viewgridx").focus();
}


function setFrameSize()
{
FrameStdWidth = $("#framewidth").val();
FrameStdHeight = $("#frameheight").val();
$("#framesize").hide();
}

function EditFrameSize()
{
$("#framewidth").val(FrameStdWidth);
$("#frameheight").val(FrameStdHeight);
$('#setform').hide();
$("#framesize").show();
$("#framewidth").focus();
}

function SetStdColors()
{
ColorFrame = $("#stdframecolor").val();
ColorDescr = $("#stddescrcolor").val();
ColorValue = $("#stdvaluecolor").val();
$("#stdcolors").hide();
}

function EditStdColors()
{
$("#stdframecolor").val(ColorFrame);
$("#stddescrcolor").val(ColorDescr);
$("#stdvaluecolor").val(ColorValue);
$('#setform').hide();
$("#stdcolors").show();
}

function SetViewData()
{
ViewName = $("#viewname").val();
//ViewBGCol = rgbToHex($("#viewcolor").val());
ViewBGCol = $("#viewcolor").val();
$("body").css('background-color', ViewBGCol);
ViewBGPict = $("#viewbgpict").val();
//alert(ViewBGPict);
$("body").css({'background-image': 'url(bgimages/' + ViewBGPict + ')'});

ViewGridX = $("#viewgridx").val();
ViewGridY = $("#viewgridy").val();
FrameStdWidth = $("#framewidth").val();
FrameStdHeight = $("#frameheight").val();
ColorFrame = $("#stdframecolor").val();
ColorDescr = $("#stddescrcolor").val();
ColorValue = $("#stdvaluecolor").val();

$("#viewdata").hide();
SaveSite = false;
}

function EditViewData()
{
$("#viewname").val(ViewName);
$("#viewcolor").val(ViewBGCol);
//$("#viewcolor").val($("body").css("background-color"));
$("#viewbgpict").val(ViewBGPict);

$("#viewgridx").val(ViewGridX);
$("#viewgridy").val(ViewGridY);
$("#framewidth").val(FrameStdWidth);
$("#frameheight").val(FrameStdHeight);
$("#stdframecolor").val(ColorFrame);
$("#stddescrcolor").val(ColorDescr);
$("#stdvaluecolor").val(ColorValue);

$("#viewdata").show();
$("#viewname").focus();
}


function setCurItem(objname)
{
curitem = "#" + objname;
var p = $(curitem).position();
$("#xpos").val(Math.round(p.left));
$("#ypos").val(Math.round(p.top));
$("#objwidth").val(FrameStdWidth);
$("#objheight").val(FrameStdHeight);
$("#framecolor").val(ColorFrame);
$("#descrcolor").val(ColorDescr);
$("#valuecolor").val(ColorValue);
SetNewObjVals(0);
}


function SetNewPosGrid()
{
var pos = $(curitem).position();
vx = parseInt(ViewGridX);
if (isNaN(vx))
  vx = 0;
vy = parseInt(ViewGridY);
if (isNaN(vy))
  vy = 0;
if ((vx != 0) || (vx != 0)) {
  if (vx > 0)
    x = Math.round(pos.left / vx) * vx;
  if (vx > 0)
    y = Math.round(pos.top / vy) * vy;
  $(curitem).css({left:x,top:y});
    }
SaveSite = false;    
}


function ChangePosclass(NameOfClass)
{

$("." + NameOfClass).each(function(index,el ) {
  curitem = "#" + $(el).attr('id');

  SetNewPosGrid();

  });

}

function setAllPos()
{
setViewGrid();
ChangePosclass("objframe");
ChangePosclass("objbeam");
ChangePosclass("objshutter");
ChangePosclass("objtext");
ChangePosclass("objtrack");
ChangePosclass("objtherm");
ChangePosclass("objbutton");

}

function ChangeSizeclass(NameOfClass)
{
//alert(NameOfClass);
memcuritem = curitem;
$("." + NameOfClass).each(function(index,el ) {
  curitem = "#" + $(el).attr('id');
  
  SetNewObjVals(3);
  });
curitem = memcuritem;  
}

function ChangeColorsclass(NameOfClass)
{
memcuritem = curitem;
$("." + NameOfClass).each(function(index,el ) {
  curitem = "#" + $(el).attr('id');

  SetNewObjVals(4);
  });
curitem = memcuritem;  
}


function changeAllFrames()
{
setFrameSize();

ChangeSizeclass("objframe");
ChangeSizeclass("objbeam");
ChangeSizeclass("objshutter");
ChangeSizeclass("objtext");
ChangeSizeclass("objtrack");
ChangeSizeclass("objtherm");
ChangeSizeclass("objbutton");
}


function changeAllColors()
{
$("#framecolor").val($("#stdframecolor").val());
$("#descrcolor").val($("#stddescrcolor").val());
$("#valuecolor").val($("#stdvaluecolor").val());

ChangeColorsclass("objframe");
ChangeColorsclass("objbeam");
ChangeColorsclass("objshutter");
ChangeColorsclass("objtext");
ChangeColorsclass("objtrack");
ChangeColorsclass("objtherm");
//ChangeColorsclass("objbutton");

}


function clickedOn(Imagename)
{
//console.log(Imagename);
if (curimage == "")  {
  curimage = "#" + Imagename;
  curitem = curimage;
  $("#curobj").html(Imagename);
  document.body.style.cursor = "grab";
  $('#moving').show();
  $('#objform').hide();
  if ($(curitem).get(0).className == "hyperbt")   { // wg. dieser Klasse kein resize zulassen
    noresize = true;
    }
  setCurObjVals();
  }
else  {
  //$("#curobj").html("...");
  document.body.style.cursor = "auto";
  var pos = $(curitem).position();
  vx = parseInt(ViewGridX);
  if (isNaN(vx))
    vx = 0;
  vy = parseInt(ViewGridY);
  if (isNaN(vy))
    vy = 0;
  if ((vx != 0) || (vx != 0)) {
    if (vx > 0)
      x = Math.round(pos.left / vx) * vx;
    if (vx > 0)
      y = Math.round(pos.top / vy) * vy;
    $(curitem).css({left:x,top:y});
    }
  curimage = "";
  $('#moving').hide();
  $('#objform').hide();
  }
}


// createImage
// createObjFrame
// createTextItem
// createBeam
// createTrack
// createShutter
// createTherm
// createButton

function createImage()
{
source = '<div name="' + objname + '" id="' + objname + '" class="objimage" data-reti="' + reti + '" ' +
'style="position:absolute; left:10px; top:60px; width:40px; height:40px;" ' +
'onClick="clickedOn(\'' + objname + '\')">';
if (noinp == "1")
  source += '<input type="hidden" id="' + objname + 'noinp" value="' + noinp + '"/>';
source += '<img src="images/' + objimg + '" id="' + objname + 'image" ' +
  'style="position:absolute; left:0px; top:0px; width:40px; height:40px; border:none;" draggable="false"/>' +
'<input type="hidden" id="' + objname + 'range" value="' + objrange + '"/>' +
'<input type="hidden" id="' + objname + 'imglist" value="' + objimglist + '"/></div>';

$(".dynitems").before(source);
$("#objwidth").val(40);
$("#objheight").val(40);

}


function createObjFrameU()
{
imagesize = parseInt(FrameStdHeight) - 10;
source = '<div name="' + objname + '" id="' + objname + '" class="objframe" data-reti="' + reti + '" ' +
'style="position:absolute; left:10px; top:60px; width:' + FrameStdWidth + 'px; height:' + FrameStdHeight +'px;" ' +
'onClick="clickedOn(\'' + objname + '\')">' +
'<svg><rect id="' + objname + 'rect" style="width:' + FrameStdWidth + 'px; height:' + FrameStdHeight + 'px; fill:' + ColorFrame + ';"></rect>' +
'<text id="' + objname + 'descr" x="25" y="15" font-family="Arial" font-size="14" fill="' + ColorDescr + '" style="font-weight:bold;">' + objdescr + '</text></svg>';
if (noinp == "1")
  source += '<input type="hidden" id="' + objname + 'noinp" value="' + noinp + '"/>';
source += '<img src="images/' + objimg + '" id="' + objname + 'image" ' +
  'style="position:absolute; left:10px; top:10px; width:' + imagesize.toString + 'px; height:' + imagesize.toString + 'px; border:none;" draggable="false"/>' +
'<input type="hidden" id="' + objname + 'range" value="' + objrange + '"/>' +
'<input type="hidden" id="' + objname + 'imglist" value="' + objimglist + '"/></div>';

//alert(source);
$(".dynitems").before(source);
setCurItem(objname);
}

function createTextItem()
{
source = '<div name="' + objname + '" id="' + objname + '" class="objtext" ' +
'style="position:absolute; left:10px; top:60px; width:160px; height:60px;" ' +
'onClick="clickedOn(\'' + objname + '\')">';
if (noinp == "1")
  source += '<input type="hidden" id="' + objname + 'noinp" value="' + noinp + '"/>';
source += '<svg id="' + objname + 'svg" style="width:160; height:60px">' +
'<rect id="' + objname + 'rect" style="width:160px; height:60px; fill:' + ColorFrame + ';"></rect>' +
'<text id="' + objname + 'descr" x="25" y="15" font-family="Arial" font-size="14" fill="' + ColorDescr + '" style="font-weight:bold;">' + objdescr + '</text>' +
'<line id="' + objname + 'line" x1="5" y1="20" x2="155" y2="20" style="stroke:rgb(100,100,100); stroke-width:2"/></svg>' +
'<text id="' + objname + 'value" x="30" y="45" font-family="Arial" font-size="16" fill="' + ColorValue + '" style="font-weight:bold;"></text></svg></div>';

$(".dynitems").before(source);
setCurItem(objname);
}


function createBeam()
{
//objname = "testbeam";
//objdescr = "beambez";
source = '<div name="' + objname + '" id="' + objname + '" class="objbeam" ' +
'style="position:absolute; left:10px; top:60px; width:160px; height:60px;" onClick="clickedOn(\'' + objname + '\')">';
if (noinp == "1")
  source += '<input type="hidden" id="' + objname + 'noinp" value="' + noinp + '"/>';
source += '<svg id="' + objname + 'svg" style="width:160; height:60px;">' +
'<rect id="' + objname + 'rect" style="width:160px; height:60px; fill:' + ColorFrame + ';"></rect>' +
'<rect id="' + objname + 'rect1" y="25" x="10" width="150" height="25" style="fill:rgb(255,255,255);stroke-width:1;stroke:rgb(0,0,0)"/>' +
'<rect id="' + objname + 'rect2" y="25" x="10" width="80" height="25" style="fill:rgb(180,180,180);stroke-width:1;stroke:rgb(0,0,0)"/>' +
'<text id="' + objname + 'descr" x="60" y="17" font-family="Arial" font-size="15" fill="' + ColorDescr + '" style="font-weight:bold;">' + objdescr + '</text>' +
'<text id="' + objname + 'value" x="70" y="42" font-family="Arial" font-size="15" fill="' + ColorValue + '" style="font-weight:bold;">0</text></svg>' +
'<input type="hidden" id="' + objname + 'range" value="' + objrange + '"/></div>';

$(".dynitems").before(source);
setCurItem(objname);
}


function createTrack()
{
//objname = "tracktest";
//objdescr = "trackbez";
source='<div id="' + objname + '" class="objtrack" ' +
'style="position:absolute; left:10px; top:60px; width:160px; height:60px;" onClick="clickedOn(\'' + objname + '\')">';
if (noinp == "1")
  source += '<input type="hidden" id="' + objname + 'noinp" value="' + noinp + '"/>';
source += '<svg id="' + objname + 'svg" style="width:160px; height:60px;">' +
'<rect id="' + objname + 'rect" style="width:160px; height:60px; fill:' + ColorFrame + ';"></rect>' +
'<text id="' + objname + 'descr" y="2" x="20" font-family="Arial" font-weight="bold" style="fill:' + ColorDescr + ';">' + objdescr + '</text>' +
'<rect id="' + objname + 'track" x="10" top="20" width="140" height="4"></rect>' +
'<text id="' + objname + 'value" x="75" y="35" font-size="12" style="fill:' + ColorValue + ';">55</text></svg>' +
'<input type="hidden" id="' + objname + 'range" value="' + objrange + '"/></div>';

$(".dynitems").before(source);
setCurItem(objname);
}


function createTherm()
{
source = '<div name="' + objname + '" id="' + objname + '" class="objtherm" ' +
   'style="position:absolute; left:10px; top:60px; width:200px; height:60px;" onClick="clickedOn(\'' + objname + '\')">';
if (noinp == "1")
  source += '<input type="hidden" id="' + objname + 'noinp" value="' + noinp + '"/>';
source += '<svg id="' + objname + 'svg" width="200" height="60">' +
'<rect id="' + objname + 'rect" style="position:absolute; width:200px; height:60px; fill:' + ColorFrame + '; stroke-width:1; stroke:rgb(0,0,0)"/>' +
'<text id="' + objname + 'descr" x="60" y="17" font-family="Arial" font-size="15" fill="' + ColorDescr + '" style="font-weight:bold;">' + objdescr + '</text>' +
'<line id="' + objname + 'line" x1="5" y1="25" x2="190" y2="25" style="stroke:rgb(100,100,100); stroke-width:2"/>' +
'<text id="' + objname + 'value" x="10" y="46" font-family="Arial" font-size="22" fill="' + ColorValue + '" style="font-weight:bold;">value</text>' +
'<text id="' + objname + 'is" x="95" y="46" font-family="Arial" font-size="15" fill="' + ColorValue + '" style="font-weight:bold;">val1</text>' +
'<text id="' + objname + 'val2" x="160" y="46" font-family="Arial" font-size="15" fill="' + ColorValue + '" style="font-weight:bold;">val2</text></svg>' +
'<input type="hidden" id="' + objname + 'range" value="' + objrange + '"/></div>';

$(".dynitems").before(source);
setCurItem(objname);
}


function createShutter()
{
//objname = "Shut1";
//objdescr = "ShutBez";
value = "50";
source = '<div name="' + objname + '" id="' + objname + '" class="objshutter" ' +
   'style="position:absolute; left:10px; top:60px; width:200px; height:60px;" onClick="clickedOn(\'' + objname + '\')">';
if (noinp == "1")
  source += '<input type="hidden" id="' + objname + 'noinp" value="' + noinp + '"/>';
source += '<svg id="' + objname + 'svg" width="170" height="60">' +
'<rect id="' + objname + 'rect" style="position:absolute; width:170px; height:60px; fill:' + ColorFrame + '; stroke-width:1; stroke:rgb(0,0,0)"/>' +
'<rect id="' + objname + 'rect1" y="10" x="10" width="40" height="40" style="fill:rgb(255,255,255);stroke-width:4;stroke:rgb(0,0,0)"/>' +
'<rect id="' + objname + 'rect2" y="10" x="10" width="40" height="20" style="position:absolute; fill:rgb(180,180,180);stroke-width:1;stroke:rgb(0,0,0)"/>' +
'<rect id="' + objname + 'rect3" y="20" x="18" width="25" height="15" style="position:absolute; fill:rgb(255,255,255);stroke-width:1;stroke:rgb(0,0,0)"/>' +
'<text id="' + objname + 'value" x="22" y="32" font-family="Arial" font-size="12" fill="' + ColorValue + '" style="font-weight:bold;">' + value + '</text>' +
'<text id="' + objname + 'descr" x="70" y="35" font-family="Arial" font-size="15" fill="' + ColorValue + '" style="font-weight:bold;">' + objdescr + '</text></svg>' +
'<input type="hidden" id="' + objname + 'range" value="' + objrange + '"/></div>';


$(".dynitems").before(source);
setCurItem(objname);
}


function createButton()
{
source = '<div name="' + objname + '" id="' + objname + '" class="objbutton" ' +
   'style="position:absolute; left:10px; top:60px; width:100px; height:30px;" onClick="clickedOn(\'' + objname + '\')">';
if (noinp == "1")
  source += '<input type="hidden" id="' + objname + 'noinp" value="' + noinp + '"/>';
source += '<button id="' + objname + 'button" style="position:absolute; width:100px; height:30px;">' + objdescr + '</button></div>';

$(".dynitems").before(source);
//setCurItem(objname);
}


function createTextLabel()
{
if (textedit)  {
  if ($(curitem).length > 0)  {
    $(curitem).text($("#txtlab").val());
    $(curitem).css("font-size", $("#textsize").val());
    $(curitem).css("color", $("#textcolor").val());
    $(curitem).css({left: $("#xpostext").val() + "px", top: $("#ypostext").val() + "px"});
    }
  }
else  {
  done = false;
  while (!done)  {  // eindeutigen Namen erstellen
    curname = "lab" + Math.round(Math.random() * 1000);
    $(".txtLabel").each(function(index,el) {
      if ($(el).attr("id") == curname)  {
        curname = "lab" + Math.round(Math.random() * 10000);
        }
      })
    done = true;
    }

  source = '<label id="' + curname + '" class="txtlabel" ' +
     'style="position:absolute; left:' + $("#xpostext").val() + 'px; top:' + $("#ypostext").val() + 'px; font-size:' + $("#textsize").val() +
     'px; font-weight:bold; color:' + $("#textcolor").val() + '" onClick="clickedOn(\'' + curname + '\')">' + $("#txtlab").val() + '</label>';

  $(".dynitems").before(source);
  }

$("#formtext").hide();
}


function createHyperbt()
{
if (hyperbtedit)  {
  if ($(curitem).length > 0)  {
    $(curitem + "button").val($("#hylidescr").val());
    hyperurl = $("#hyliurl").val();
    $(curitem).attr("data-url", hyperurl);
    //alert(hyperurl);
    $(curitem).css({left: $("#xposhyli").val() + "px", top: $("#yposhyli").val() + "px"});
    $(curitem).css({width: $("#hyliwidth").val() + "px", height: $("#hyliheight").val() + "px"});
    $(curitem + "button").css({width: $("#hyliwidth").val() + "px", height: $("#hyliheight").val() + "px"});
    $(curitem + "button").text($("#hylidescr").val());

    }
  }
else  {
  done = false;
  while (!done)  {  // eindeutigen Namen erstellen
    curname = "hyperbt" + Math.round(Math.random() * 1000);
    $(".hyperbt").each(function(index,el) {
      if ($(el).attr("id") == curname)  {
        curname = "hyperbt" + Math.round(Math.random() * 100000);
        }
      })
    done = true;
    }

  source = '<div id="' + curname + '" class="hyperbt" data-url="' + $("#hyliurl").val() + '" ' +
     'style="left:' + $("#xposhyli").val() +'px; top=' + $("#yposhyli").val() +
     'px; width:' + $("#hyliwidth").val() + 'px; height:' + $("#hyliheight").val() + 'px" '+
     'onClick="clickedOn(\'' + curname + '\')">' +
     '<button id="' + curname + 'button" style="position:absolute; width:' + $("#hyliwidth").val() + 'px; ' +
     'height:' + $("#hyliheight").val() + 'px; font-weight:bold">' + $("#hylidescr").val() + '</button></div>';

  $(".dynitems").before(source);
  curitem = "#" + curname;
  }

height = $("#hyliheight").val();
fs = height * 0.5;
$(curitem + 'button').css('font-size', fs + 'px');

$("#formhyli").hide();
}


function objSelected()
{
SaveSite = false;
var filename = $("#objList option:selected").text();
if (filename == "-Text-") {
  textedit = false;
  $("#txtlab").val("");
  $("#textsize").val("18");
  $("#textcolor").val("#000000");
  $("#xpostext").val("50");
  $("#ypostext").val("50");
  $("#formtext").show();
  $('#txtlab').focus();
  }

else
if (filename == "-Navigations-Button-") {
  hyperbtedit = false;
  $("#hylidescr").val("");
  $("#hyliurl").val("");
  $("#hyliwidth").val("100");
  $("#hyliheight").val("25");
  $("#xposhyli").val("50");
  $("#yposhyli").val("50");
  $("#formhyli").show();
  $('#hylidescr').focus();
  }
else  {
  if ($('#' + filename).length > 0)  {
    alert("Dieses Objekt ist in der Ansicht schon vorhanden - Abbruch");
    return;
    }
  $.get("servmain.ccc?HTM=getObjKindType.cls&filename=" + filename, function(data, status){
    data = data.trim(); // z.B. Wohnzimmerlicht!0;U;Licht;2!aus!an;RUP_BulbSa.png!RUP_BulbSa.png!
    //alert("data:" + data);
    objimglist = "";             
    reti = "";
    objimg = "";
    noinp = " ";
    value = "0";
    val2 = "21,0 °C";
    val3 = "45 %";
    items = data.split(";");
    objname = filename;
    objdescr = items[0];
    if (objdescr.search("!") > 1) {
      descrAr = objdescr.split("!")
      noinp = descrAr[1]
      objdescr = descrAr[0] 
      }
    objdescr = objdescr.replaceAll("[A]", "Ä");  
    objdescr = objdescr.replaceAll("[a]", "ä");  
    objdescr = objdescr.replaceAll("[O]", "Ö");  
    objdescr = objdescr.replaceAll("[o]", "ö");  
    objdescr = objdescr.replaceAll("[U]", "Ü");  
    objdescr = objdescr.replaceAll("[u]", "ü");  
    objdescr = objdescr.replaceAll("[s]", "ß");  
    objkind = items[1];
    objtype = items[2];
    objrange = items[3];
    if (objkind == 'U')  {
      objimglist = items[4];
      ts = objimglist.split("!");
      objimg = ts[0];
      reti = items[5];
      }

    if (items[1] == "U")
      $("#formKindU").show();
    else
    if (items[1] == "N")  {
      if (objtype == "Dimmer")
        createTrack();
      else
      if (objtype == "Jalousie")
        createShutter();
      else
      if ((objtype == "Raumthermostat") || (objtype == "Thermostat") || (objtype == "Heizkoerperthermostat"))  {
        value = "22,5";
        createTherm();
        }
      else
        $("#formKindN").show();
      }
    else
    if (items[1] == "B")  {
      createButton();
      }
    else
      createTextItem();

    });
  }

}


function formKindU()
{
selval = $("input[name='radioU']:checked").val();
$("#formKindU").hide();
if (selval == "I")  {
  createImage();
  }
else
if (selval == "F")  {
  createObjFrameU();
  }

}

function formKindN()
{
selval = $("input[name='radioN']:checked").val();
$("#formKindN").hide();
if (selval == "N")  {
  createTextItem();
  }
else
if (selval == "B")  {
  createBeam();
  }
else
if (selval == "T")  {
  createTrack();
  }

}


function rgbToHex(s)
{
if (typeof(s) == "undefined")
  return "#000000";
if (s.substr(0,3) == "rgb")  {
  s = s.substr(4, s.length - 5);
  ar = s.split(",");
  rs = "#";
  for (i = 0; i < 3; i++)  {
    x = parseInt(ar[i]).toString(16);
    if (x.length < 2)
      x = "0" + x;
    rs = rs + x;
    }
  return rs;
  }
}


function setCurObjVals()
{
//alert(curitem +"  /  " + $(curitem).get(0).className);
// z.B. #txtlab1
if ($(curitem).get(0).className == "txtlabel")  {
  $("#txtlab").val($(curitem).text());
  ts = $(curitem).css("font-size");
  ts = ts.substr(0, ts.length - 2);
  $("#textsize").val(ts);
  ts = $(curitem).css("color");
  ts = rgbToHex(ts);
  $("#textcolor").val(ts);
  var p = $(curitem).position();
  $("#xpostext").val(p.left);
  $("#ypostext").val(p.top);
  textedit = true;
  //$('#formtext').show();
  }
else
if ($(curitem).get(0).className == "hyperbt")  {
  $("#hylidescr").val($(curitem).text());
  $("#hyliurl").val($(curitem).attr("data-url"));
  var p = $(curitem).position();
  $("#xposhyli").val(Math.round(p.left));
  $("#yposhyli").val(Math.round(p.top));
  $("#hyliwidth").val(Math.round($(curitem).width()));
  $("#hyliheight").val(Math.round($(curitem).height()));
  hyperbtedit = true;
  }
else  {
  //alert("1004:" + $(curitem + "descr").text());
  $("#objdescr").val($(curitem + "descr").text());
  $("#objwidth").val($(curitem).width());
  $("#objheight").val($(curitem).height());
  var p = $(curitem).position();
  $("#xpos").val(Math.round(p.left));
  $("#ypos").val(Math.round(p.top));
/*
  if ($(curitem).get(0).className == "objimage")
    $("#colordialog").hide();
  else
    $("#colordialog").show();
*/

  if (($(curitem).get(0).className != "objimage") && ($(curitem).get(0).className != "objbutton"))  {
    //alert(curitem + "/" + $(curitem).get(0).className + "/" + $(curitem + "rect").css("fill"));
    $("#framecolor").val(rgbToHex($(curitem + "rect").css("fill")));
    $("#descrcolor").val(rgbToHex($(curitem + "descr").css("fill")));
    if ($(curitem).get(0).className != "objframe")
      $("#valuecolor").val(rgbToHex($(curitem + "value").css("fill")));
    }
  }
}


function openDefPanel()     
{
setCurObjVals();
//$('#objform').show();
if ($(curitem).get(0).className == "txtlabel")  {
  $('#formtext').show();
  $('#txtlab').focus();
  }
else
if ($(curitem).get(0).className == "hyperbt")  {
  $('#formhyli').show();
  $('#hylidescr').focus();
  }
else  {
  $('#objform').show();
  $('#xpos').focus();
  if ($(curitem).get(0).className == "objimage")
    $("#colordialog").hide();
  else
    $("#colordialog").show();
    mode=3;
    
  }
}

function EditObj()
{
window.open(
  'servmain.ccc?HTM=editobj.cls&filename=' + $(curitem).attr("id") + '.obj&mode=3',
  '_blank');
}

function RemoveObj()
{
$(curitem).remove();
curitem = "";
objname = "";
$("#curobj").html("...");
$('#objform').hide();
SaveSite = false;
}

function RemoveTxt()
{
$(curitem).remove();
curitem = "";
objname = "";
$("#curobj").html("...");
$('#formtext').hide();
}

function RemoveHyLi()
{
$(curitem).remove();
curitem = "";
objname = "";
$('#formhyli').hide();
SaveSite = false;
}

function SetNewObjVals(mode)  // mode 0=normal, 3=size, 4=color, 1=setze zusätzlich descr aus clobjform bei Änderungen 
{
if (curitem == "") 
  return

if (mode == 99)   {
  var pos = $(curitem).position();
  $("#xpos").val(pos.left);
  $("#ypos").val(pos.top);
  mode = 0;
  }

if (mode < 3)  {
  x = parseInt($("#xpos").val());
  y = parseInt($("#ypos").val());
  $(curitem).css({left:x,top:y});
  $(curitem).width($("#objwidth").val());
  $(curitem).height($("#objheight").val());
  $(curitem + "rect").css({fill: $("#framecolor").val()});
  //$(rect).css({fill: $("#descrcolor").val()});
  //$(rect).css({fill: $("#valuecolor").val()});
  }
else
if (mode == 3)  {  // Standard-Groesse setzen
  $(curitem).width(FrameStdWidth);
  $(curitem).height(FrameStdHeight);
  }
else
if (mode == 4)  {  // Standard-Farben setzen
  //rect=curitem + "rect";
  $(curitem + "rect").css({fill: $("#framecolor").val()});
  $(curitem + "descr").css({fill: $("#descrcolor").val()});
  }

if ($(curitem).get(0).className == "objimage")  {
  tmpname = curitem + "image";
  $(tmpname).height($(curitem).height());
  $(tmpname).width($(tmpname).height());
  }
else
if ($(curitem).get(0).className == "objframe")  {
  if (mode == 1)
    $(curitem + "descr").text($("#objdescr").val());
  tmpname = curitem + "svg";
  $(tmpname).height($(curitem).height());
  $(tmpname).width($(curitem).width());
  tmpname = curitem + "rect";
  $(tmpname).height($(curitem).height());
  $(tmpname).width($(curitem).width());

  tmpname = curitem + "image";
  $(tmpname).height($(curitem).height() - 20);
  $(tmpname).width($(tmpname).height());
  imgwidth = $(tmpname).width();
  if ($(tmpname).height() > $(curitem).height())
    $(tmpname).height($(curitem).height() - 20);
  //alert($(curitem).height() + " / " + $(tmpname).height());

  tmpname = curitem + "descr";
  $(tmpname).attr("y", $(curitem).height() * 0.50 + 5);
  $(tmpname).attr("x", imgwidth + 20);
  $(tmpname).attr("font-size", imgwidth * 0.20 + 10);
  //$(tmpname).css({fill: $("#descrcolor").val()});
  }
else
if ($(curitem).get(0).className == "objtrack")  {
  if (mode == 1)
    $(curitem + "descr").text($("#objdescr").val());
  tmpname = curitem + "svg";
  $(tmpname).height($(curitem).height());
  $(tmpname).width($(curitem).width());
  tmpname = curitem + "rect";
  $(tmpname).height($(curitem).height());
  $(tmpname).width($(curitem).width());

  tmpname = curitem + "descr";
  $(tmpname).attr("y", $(curitem).height() * 0.3);
  $(tmpname).attr("font-size", $(curitem).height()  / 4);
  //$(tmpname).attr("font-weight", "bold");
  if (mode == 4)
    $(tmpname).css({fill: $("#descrcolor").val()});

  tmpname = curitem + "value";
  $(tmpname).attr("y", $(curitem).height() * 0.9);
  $(tmpname).attr("x", $(curitem).width() / 2 - 20);
  $(tmpname).attr("font-size", $(curitem).height() / 5);
  $(tmpname).attr("font-weight", "bold");
  if (mode == 4)
    $(tmpname).css({fill: $("#valuecolor").val()});

  tmpname = curitem + "track";
  $(tmpname).attr("y", $(curitem).height() / 2);
  $(tmpname).attr("width", $(curitem).width() - 20);
  }
else
if ($(curitem).get(0).className == "objshutter")  {
  shuttermode = 1;
  if (mode == 1)
    $(curitem + "descr").text($("#objdescr").val());
  tmpname = curitem + "svg";
  $(tmpname).height($(curitem).height());
  $(tmpname).width($(curitem).width());
  tmpname = curitem + "rect";
  $(tmpname).height($(curitem).height());
  $(tmpname).width($(curitem).width());

  border = 20; 
  if (($(curitem).width() / $(curitem).height()) < 1.4)
    //border = 20;
    shuttermode = 2;
 	
  tmpname = curitem + "rect1";
  $(tmpname).height($(curitem).height() - border);
  
  $(tmpname).width($(tmpname).height());
  tmpheight = $(tmpname).height();
  tmpwidth = $(tmpname).width();

  height1 = $(tmpname).height();
  newwidth = $(tmpname).width();
  tmpname = curitem + "rect2";
  $(tmpname).height(height1 / 2);
  $(tmpname).width(newwidth);

  tmpname = curitem + "rect3";
  $(tmpname).attr("x", tmpwidth * 0.25 + 8);
  $(tmpname).attr("y", height1 * 0.38 + 5);
  $(tmpname).height(tmpheight * 0.38);
  $(tmpname).width(tmpwidth * 0.6);

  tmpname = curitem + "descr";
  $(tmpname).attr("y",  $(curitem).height() / 2 + 5); 
  $(tmpname).attr("x", tmpwidth + border);
  if (shuttermode == 1)  
    $(tmpname).attr("font-size", $(curitem).height()  / 4);
  else
    $(tmpname).attr("font-size", 0);
 

    //$(tmpname).css({fill: $("#descrcolor").val()});
    
  tmpname = curitem + "value";
  $(tmpname).attr("y", height1 * 0.67 + 5);
  $(tmpname).attr("x", tmpwidth * 0.30 + 8);
  $(tmpname).attr("font-size", height1 * 0.3);
  if (mode == 4)
    $(tmpname).css({fill: $("#valuecolor").val()});
  }
else
if ($(curitem).get(0).className == "objtext")  {
  if (mode == 1)
    $(curitem + "descr").text($("#objdescr").val());
  tmpname = curitem + "svg";
  $(tmpname).height($(curitem).height());
  $(tmpname).width($(curitem).width());
  tmpname = curitem + "rect";
  $(tmpname).height($(curitem).height());
  $(tmpname).width($(curitem).width());

  tmpname = curitem + "descr";
  $(tmpname).attr("y",  $(curitem).height() / 4);
  $(tmpname).attr("x", 20);
  $(tmpname).attr("font-size", $(curitem).height()  / 4);
  //$(tmpname).css({fill: $("#descrcolor").val()});

  tmpname = curitem + "line";
  y = $(curitem).height() * 0.4;
  $(tmpname).attr("y1", y);
  $(tmpname).attr("y2", y);
  $(tmpname).attr("x2", $(curitem).width() - 5);

  tmpname = curitem + "value";
  $(tmpname).attr("y", 4 * $(curitem).height() / 5);
  $(tmpname).attr("x", 20);
  $(tmpname).attr("font-size", $(curitem).height() * 0.3);
  if (mode == 4)
    $(tmpname).css({fill: $("#valuecolor").val()});
  }
else
if ($(curitem).get(0).className == "objbeam")  {
  if (mode == 1)
    $(curitem + "descr").text($("#objdescr").val());
  tmpname = curitem + "svg";
  $(tmpname).width($(curitem).width());
  $(tmpname).height($(curitem).height());
  tmpname = curitem + "rect";
  $(tmpname).width($(curitem).width());
  $(tmpname).height($(curitem).height());
  tmpname = curitem + "rect1";
  recty = $(curitem).height() * 0.35;
  $(tmpname).attr("y", recty + 5);
  $(tmpname).width($(curitem).width() - 20);
  $(tmpname).height($(curitem).height() * 0.42);
  tmpname = curitem + "rect2";
  $(tmpname).attr("y", recty + 5);
  $(tmpname).width($(curitem).width() * 0.25);
  $(tmpname).height($(curitem).height() * 0.42);

  tmpname = curitem + "descr";
  $(tmpname).attr("y",  $(curitem).height() * 0.3);
  $(tmpname).attr("x", 20);
  $(tmpname).attr("font-size", $(curitem).height()  / 4);
  //$(tmpname).css({fill: $("#descrcolor").val()});

  tmpname = curitem + "value";
  $(tmpname).attr("y", $(curitem).height() * 0.70);
  $(tmpname).attr("x", $(curitem).width() / 2 - 10);
  $(tmpname).attr("font-size", $(curitem).height() * 0.25);
  if (mode == 4)
    $(tmpname).css({fill: $("#valuecolor").val()});
  }
else
if ($(curitem).get(0).className == "objtherm")  {
  if (mode == 1)
    $(curitem + "descr").text($("#objdescr").val());
  tmpname = curitem + "svg";
  $(tmpname).width($(curitem).width());
  $(tmpname).height($(curitem).height());
  tmpname = curitem + "rect";
  $(tmpname).width($(curitem).width());
  $(tmpname).height($(curitem).height());

  tmpname = curitem + "descr";
  $(tmpname).attr("y",  $(curitem).height() * 0.3);
  $(tmpname).attr("x", 20);
  $(tmpname).attr("font-size", $(curitem).height() * 0.25);
  //$(tmpname).css({fill: $("#descrcolor").val()});

  tmpname = curitem + "line";
  y = $(curitem).height() * 0.4;
  $(tmpname).attr("y1", y);
  $(tmpname).attr("y2", y);
  $(tmpname).attr("x2", $(curitem).width() - 5);

  tmpname = curitem + "value";
  $(tmpname).attr("y", $(curitem).height() * 0.85);
  $(tmpname).attr("x", $(curitem).width() * 0.05);
  $(tmpname).attr("font-size", $(curitem).height() * 0.35);
  if (mode == 4)
    $(tmpname).css({fill: $("#valuecolor").val()});
  tmpname = curitem + "is";
  $(tmpname).attr("y", $(curitem).height() * 0.85);
  $(tmpname).attr("x", $(curitem).width() * 0.45 + 5);
  $(tmpname).attr("font-size", $(curitem).height() * 0.25);
  if (mode == 4)
    $(tmpname).css({fill: $("#valuecolor").val()});
  tmpname = curitem + "val2";
  $(tmpname).attr("y", $(curitem).height() * 0.85);
  $(tmpname).attr("x", $(curitem).width() * 0.75);
  $(tmpname).attr("font-size", $(curitem).height() * 0.25);
  if (mode == 4)
    $(tmpname).css({fill: $("#valuecolor").val()});

  }
else
if ($(curitem).get(0).className == "objbutton")  {
  $(curitem + "descr").text($("#objdescr").val());
  $(curitem).width($("#objwidth").val());
  $(curitem).height($("#objheight").val());
  tmpname = curitem + "button";
  $(tmpname).height($(curitem).height());
  $(tmpname).width($(curitem).width());
  fs = $(curitem).height() * 0.5;
  $(tmpname).css('font-size', fs + 'px');
  }

$('#objform').hide();
SaveSite = false;
}


function Saveclass(NameOfClass, Code)
// Code 1=nur rect; 2=rect,descr; 3=rect,descr,value;
{
ts = "";
$("." + NameOfClass).each(function(index,el) {
objcounter++;

objname = $(el).attr("id");
//alert(index + "/" + objname)  //debug

p = $(el).position();
ts += "class=" + NameOfClass + ";name=" + objname + ";posx=" + Math.round(p.left) + ";posy=" + Math.round(p.top);

if (NameOfClass == "txtlabel")  {
  size = $("#" + objname).css("font-size");
  size = size.substr(0, size.length - 2);
  ts += ";des=" + $("#" + objname).text() + ";fs=" + size + ";cf=" + rgbToHex($("#" + objname).css("color"));
  }
else
if (NameOfClass == "hyperbt")  {
  ts += ";w=" + Math.round($(el).width()) + ";h=" + Math.round($(el).height());
  ts += ";des=" + $("#" + objname + "button").text() + ";url=" + $("#" + objname).attr("data-url");
  }

else  {
  ts += ";w=" + Math.round($(el).width()) + ";h=" + Math.round($(el).height());

  if (NameOfClass == "objbutton")  {
    ts += ";des=" + $("#" + objname + "button").text();
    }
  else
  if (Code > 0)  {
    if (NameOfClass == "objframe")  {
      //alert($("#" + objname + "imglist").val());
      ts += ";objimg=" + $("#" + objname + "imglist").val();
      reti = $("#" + objname).attr("data-reti");
      if (reti != undefined)
        if (reti > 0)
          ts += ";reti=" + reti;
      }

    curitem = "#" + objname + "rect";
    if ($(curitem).length > 0)  {
      ts += ";cr=" + rgbToHex($(curitem).css('fill'));
      if (Code > 1)  {
        //alert("descr: " + objname + " / " + $("#" + objname + "descr").text());
        ts += ";des=" + $("#" + objname + "descr").text();
        ts += ";cd=" + rgbToHex($("#" + objname + "descr").css("fill"));
        if (Code == 3)
          ts += ";cv=" + rgbToHex($("#" + objname + "value").css("fill"));
        }
      }
    if ((NameOfClass != "objtext") && (NameOfClass != "txtlabel") && (NameOfClass != "objbutton") && (NameOfClass != "objshutter"))   {
      ts += ";range=" + $("#" + objname + "range").val();
      }
    }
  else
    if (NameOfClass == "objimage") {
      ts += ";range=" + $("#" + objname + "range").val();
      ts += ";objimg=" + $("#" + objname + "imglist").val();
      reti = $("#" + objname).attr("data-reti");
      if (reti != undefined)
        if (reti > 0)
          ts += ";reti=" + reti;
      }
  }
 
  if ($("#" + objname + "noinp").length > 0) {
    tmpinp = $("#" + objname + "noinp").val();
    if (tmpinp == "1")
      ts += ";noinp=1";
    }
      
  ts += "&";
  });
//if (ts.length > 0)  //debug
  //alert(ts);
return ts;
}

function SaveView()
{
//$("#viewdata").hide();
SetViewData();
objcounter = 0;
xs = Saveclass("txtlabel",0);
xs += Saveclass("hyperbt",0);
xs += Saveclass("objimage",0);
xs += Saveclass("objframe",2);
xs += Saveclass("objbeam",3);
xs += Saveclass("objtext",3);
xs += Saveclass("objtrack",3);
xs += Saveclass("objshutter",3);
xs += Saveclass("objtherm",3);
xs += Saveclass("objbutton",2);
hs = objcounter.toString();
//ts = "HTM=SaveView.cls&ViewName=" + ViewName + ";BGCol=" + ViewBGCol + ";BGPict=" + ViewBGPict + ";counter=" + hs + "&" + xs;
ts = "HTM=SaveView.cls&ViewName=" + ViewName + ";BGCol=" + ViewBGCol + ";BGPict=" + ViewBGPict + ";ViewGridX=" + ViewGridX + 
     ";ViewGridY=" + ViewGridY + ";FrameWidth=" + FrameStdWidth + ";FrameHeight=" + FrameStdHeight + ";ColorFrame=" + ColorFrame + 
     ";ColorDescr=" + ColorDescr + ";ColorValue=" + ColorValue + ";counter=" + hs + "&" + xs;

//alert(ts);  //debug
$.post('servmain.ccc', ts, function(data) {
  answer = $(data).text();
  //alert("answer:" + answer);
  });
SaveSite = true;
}

</script>
</head>

<body>
<div id="stateframe" class="menuFrame">
<button type="button" onClick="EditViewData();">Ansicht</button>
    aktuelles Objekt:
<label id="curobj">...</label>
<label id="moving">Positionierung</label>
<button type="button" style="position:absolute; left:50%;" onclick="$('#selectobj').show();">Neu</button>
<button type="button" style="position:absolute; right: 25%;" onclick="$('#setform').show();">Einstellungen</button>
<button type="button" style="position:absolute; right: 5px;" onclick="openDefPanel();">Objekt-Definitionen</button>

</div>
<br><br><br>

<div id="selectobj" class="formlistFrame" hidden>
<label style="position:absolute; right:5px" onClick="$('#selectobj').hide()">X</label><br><br>
<button name="btSel" id="btSel" style="position:absolute; top:15px; left:10%; width:80%; " onclick="objSelected()">ausgew&auml;hltes Objekt &uuml;bernehmen</button><br><br>
<select id="objList" size=9 style="position:absolute; left: 10px;top:60px">
<option>-Text-</option>
<option>-Navigations-Button-</option>
<!--#CL
SETLUA=Pars,*PARS
LUAEXE=ObjOptionList.lua
#CL-->
</select>
<button type="button" style="position:absolute; left: 35%; bottom:5%;" onclick="$('#selectobj').hide();">Schliessen</button>
</div>

<div id="formKindU" class="formkindUFrame" hidden>
<label style="position:absolute; right:5px" onClick="$('#formKindU').hide()">X</label><br>
<input type="radio" name="radioU" value="F"/>
<label>Objektrahmen</label><br>
<input type="radio" name="radioU" value="I"/>
<label>nur Bild</label><br>
<button style="position:absolute; bottom:10px; left:10%; width:80%;" onclick="formKindU()">&Uuml;bernehmen</button><br><br>
</div>

<div id="formKindN" class="formkindNFrame" hidden>
<label style="position:absolute; right:5px" onClick="$('#formKindN').hide()">X</label><br>
<input type="radio" name="radioN" value="B">
<label>Balkenanzeige</label><br>
<input type="radio" name="radioN" value="N">
<label>nur Zahl</label><br>
<input type="radio" name="radioN" value="T">
<label>Schieberegler</label><br>
<button style="position:absolute; bottom:10px; left:10%; width:80%;" onclick="formKindN()">&Uuml;bernehmen</button><br><br>
</div>

<div id="formtext" class="formtextC" hidden>
<label style="position:absolute; right:5px" onClick="$('#formtext').hide()">X</label><br>
<label class="txtpos">Text</label><br>
<input type="text" class="txtpos" id="txtlab" size=24><br>
<label class="txtpos">Gr&ouml;sse / Farbe</label><br>
<input type="number" class="txtpos" min="4" max="24" value="24" id="textsize"/>
<input type="color" class="txtpos2" id="textcolor" style="left:15px;"><br><br>
<label class="txtpos">X-Position/y-Position</label><br>
<input type="text" class="txtpos" placeholder="x-Position" id="xpostext" size=5>
<input type="text" class="txtpos2" placeholder="y-Position" id="ypostext" size=5><br><br>
<button type="button" class="leftbutton" onClick="RemoveTxt()">L&ouml;schen</button>
<button type="button" class="okbutton" onClick="createTextLabel()">OK</button>
</div>


<div id="formhyli" class="formtextC" hidden>
<label style="position:absolute; right:5px" onClick="$('#formhyli').hide()">X</label><br>
<label class="txtpos">Beschriftung</label><br>
<input type="text" class="txtpos" id="hylidescr" size=24><br>
<label class="txtpos">Ansicht oder IP-Adresse</label><br>
<input type="text" class="txtpos" id="hyliurl" size=24><br>
<label class="txtpos">Breite / H&ouml;he</label><br>
<input type="text" class="txtpos" id="hyliwidth" size="3">
<input type="text" class="txtpos2" id="hyliheight" size="3"><br>
<label class="txtpos">X-Position/y-Position</label><br>
<input type="text" class="txtpos" placeholder="x-Position" id="xposhyli" size=5>
<input type="text" class="txtpos2" placeholder="y-Position" id="yposhyli" size=5><br><br>
<button type="button" class="leftbutton" onClick="RemoveHyLi()">L&ouml;schen</button>
<button type="button" class="okbutton" onClick="createHyperbt()">OK</button>
</div>


<div class="clobjform" id="objform" style="height:400px" hidden>
<label style="position:absolute; right:5px" onClick="$('#objform').hide()">X</label><br>
<p id="descrp">
<label class="txtpos">Bezeichnung</label><br>
<input type="text" class="txtpos" name="objdescr" id="objdescr" size=32>
</p>
<label class="txtpos">X-Position/y-Position</label><br>
<input type="text" class="txtpos" placeholder="x-Position" name="xpos" id="xpos" size=5>
<input type="text" class="txtpos2" placeholder="y-Position" name="ypos" id="ypos" size=5><br>
<label class="txtpos" >Breite/H&ouml;he</label><br>
<input type="text" class="txtpos" placeholder="Breite" name="objwidth" id="objwidth" size=5>
<input type="text" class="txtpos2" placeholder="H&ouml;he" name="objheight" id="objheight" size=5>
<hr>
<div id="colordialog">
<label class="txtpos">Farben</label><hr>
<label class="txtpos">Rahmen</label>
<input type="color" name="framecolor" id="framecolor"/><br>
<label class="txtpos">Bezeichnung</label>
<input type="color" name="descrcolor" id="descrcolor"/><br>
<label class="txtpos">Wert</label>
<input type="color" name="valuecolor" id="valuecolor"/>
</div>
<br>
<button type="button" class="leftbutton" onClick="RemoveObj()">L&ouml;schen</button>&nbsp;&nbsp;&nbsp;
<button type="button" onClick="EditObj()">Edit</button>
<button type="button" class="okbutton" onClick="SetNewObjVals(1)">OK</button>
</div>


<div class="divpos" id="setform" style="text-align:center; width:200px; height:230px" hidden>
<label style="position:absolute; right:5px" onClick="$('#setform').hide()">X</label><br>
Standard-Einstellungen<br>für diese Ansicht<hr><br>
<button type="button" onClick="EditGrids();">Raster</button><br><br>
<button type="button" onClick="EditFrameSize();">Rahmengr&ouml;sse</button><br><br>
<button type="button" onClick="EditStdColors();">Rahmenfarben</button>
</div>

<div class="divpos" id="viewgrid" style="text-align:center; width:200px; height:260px" hidden>
<label style="position:absolute; right:5px" onClick="$('#viewgrid').hide()">X</label><br>
<label style="position:absolute; left:30px;">Raster</label><br>
<hr>
<label class="txtpos">Bildschirm</label><br>
x: <input type="text" class="txtpos" placeholder="X" name="viewgridx" id="viewgridx" size=5><br>
y: <input type="text" class="txtpos" placeholder="Y" name="viewgridy" id="viewgridy" size=5><br><br>
<button type="button" onClick="setAllPos()">Alle Elemente ausrichten</button><br><br>
<button type="button" class="okbutton" onClick="setViewGrid()">OK</button>
</div>

<div class="divpos" id="stdcolors" style="width:200px; height:280px" hidden>
<label style="position:absolute; right:5px" onClick="$('#stdcolors').hide()">X</label><br>
<label class="txtpos">Standard-Farben</label><hr>
<label class="txtpos">Rahmen</label>
<input type="color" name="stdframecolor" id="stdframecolor"/><br>
<label class="txtpos">Bezeichnung</label>
<input type="color" name="stddescrcolor" id="stddescrcolor"/><br>
<label class="txtpos">Wert</label>
<input type="color" name="stdvaluecolor" id="stdvaluecolor"/><br><br>
<button type="button" onClick="changeAllColors()">Farben in allen Rahmen &auml;ndern</button><br><br>
<button type="button" class="okbutton" onClick="SetStdColors()">OK</button>
</div>

<div class="divpos" id="framesize" style="text-align:center; width:200px; height:260px" hidden>
<label style="position:absolute; right:5px" onClick="$('#framesize').hide()">X</label><br>
<label style="position:absolute; left:5px;">Standard-Rahmengr&ouml;sse</label><br><br><br>
Breite: <input type="text" class="txtpos" placeholder="Breite" name="framewidth" id="framewidth" size=5><br>
H&ouml;he: <input type="text" class="txtpos" placeholder="H&ouml;he" name="frameheight" id="frameheight" size=5><br><br>
<button type="button" onClick="changeAllFrames()">Alle Rahmen &auml;ndern</button><br><br>
<button type="button" class="okbutton" onClick="setFrameSize()">OK</button>
</div>

<div class="divpos" id="viewdata" style="text-align:center; width:280px; height:400px" hidden>
<label style="position:absolute; right:5px" onClick="$('#viewdata').hide()">X</label><br>
Ansicht<hr><br>
<button type="button" onClick="SaveView()">Speichern</button>&nbsp;&nbsp;&nbsp;
<button type="button" onClick="LoadView()">Laden</button>&nbsp;&nbsp;&nbsp;
<button type="button" onClick="NewView()">Neu</button><br><br>
Name: <input type="text" class="txtpos" placeholder="Name" id="viewname" size=20><br><br>
Hintergrundfarbe: <input type="color" id="viewcolor"/><br><br>
Hintergrundbild 
<br><select id="viewbgpict" size=4>
<option>&nbsp;</option>
<!--* LUAEXE=ListBGOption.lua -->
</select>
<br><br><button type="button" onClick="SetViewData()">OK</button>
</div>

<div class="dynitems">

</div>

<!--#CL
SETLUA=Pars,*PARS
LUAEXE=LoadView.lua
#CL-->

<br><br>

</body></html>
