<!DOCTYPE HTML>

<html lang="de">

<head>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta charset="iso-8859-15">
<title>Script bearbeiten</title>

<style>
h1 {
    font-family: Arial;
    color: blue;
    text-align: center;
    font-size: large;
}

body {
    font-family: Arial;
    color: black;
    text-align: left;
    font-size: medium;
}

msg {
    font-family: Arial;
    color: red;
    text-align: left;
    font-size: medium;
}

</style>

<link href="jquery.mobile-min.css" rel="stylesheet">
<script src="jquery.min.js"></script>
<script>

$(document).ready(function() {

  $('#vardef').hide();
  $('#statelist').hide();

  $('#objitem').on('change', function() {
    //$('#source').val($('#source').val() + $("#objitem option:selected").attr('value'));
    if ($("#objitem option:selected").text().substr(0,2) != "--")  {
      var item=$("#source");
      var s=item.val();
      s = s.substring(0, item[0].selectionStart) + $("#objitem option:selected").text() + s.substring(item[0].selectionStart, s.length);
      $('#source').val(s);
      $('#objitem option').eq(0).prop('selected', true);
      //$("#objitem").val("--Objekte--");
      }
  });

  $('#command').on('change', function() {
    if ($("#command option:selected").text().substr(0,2) != "--")  {
      $('#source').val($('#source').val() + $("#command option:selected").text());
      $('#command option').eq(0).prop('selected', true);
      $("#command").val("0");
      }
  });

});


function selectText(textitem, str) {
  const script = document.getElementById(textitem);
  var scripttext = $("#" + textitem).val();
  var idx = scripttext.indexOf(str);
  script.focus();
  script.setSelectionRange(idx, idx + str.length);
}


function ChangeType()
{
var CurType = $("#typelist option:selected").text();
if ((CurType != "Zeichen") && (CurType != "Zahl"))  {
  var vals = $("#typelist").val();
  var items = vals.split(";");
  statecnt = items.length - 1;
  $('#statelist').empty();
  for (i=0; i < statecnt; i++)  {
    $('#statelist').append('<option value="' + items[i] + '">' + items[i] + '</option>');
    }
  $("#startval").hide();
  $("#statelist").show();
  }
else  {
  $("#startval").show();
  $("#statelist").hide();
  }


}

function ShowVarDef()
{
$("#vardef").show();
}

function SetVar()
{

if ($("#varname").val().length < 1)  {
  alert("Name muss angegeben werden");
  $("#varname").focus();
  return;
  }

var CurType = $("#typelist option:selected").text();
if ((CurType == "Zahl") && ($("#startval").val().length < 1))  {
  $("#startval").val("0");
  }

if ((CurType == "Zeichen") || (CurType == "Datum") || (CurType == "Uhr") || (CurType == "Zeit") || (CurType == "Zahl"))  {
  CurDef = $('#source').val() + "vardef " + $("#typelist option:selected").text() + ":" + $("#varname").val();
  if ($("#startval").val().length > 0)
    CurDef += " = " +  $("#startval").val();
  $('#source').val(CurDef);
  }
else
  $('#source').val($('#source').val() + "vardef " + $("#typelist option:selected").text() + ":" + $("#varname").val() + "=" +  $("#statelist").val());

$("#varname").val("");
$("#startval").val("");
$("#vardef").hide();
}

function CloseTab()
// je nach Aufruf verschiedne Optionen zum schliessen
{
window.close();
history.back();
}

</script>
</head>

<body style="margin-top:10px; margin-left:30px">
<img src="favicon.ico" alt="" style="width: 48px; height: 48px; float: left">
<h1>Script bearbeiten</h1>
<br><hr><br>

<form action="servmain.ccc" method="post">
<input type="hidden" name="HTM" value="savescript.cls">
<input type="hidden" name="FROM" value="editscript.cls">


<!--#CL
SETLUA=Pars,*PARS
LUAEXE=GetScriptSource.lua
#CL-->


<select name="objitem" id="objitem" size=16>
<!--* LUAEXE=CrtObjVarList.lua -->
</select>
<!--#CL
SETLUA=Pars,*PARS
LUAEXE=SetObjname.lua
#CL-->
<br>
<div id="vardef">
<table>
<tr><th>Variablentyp</th><th>Name</th><th>Startwert</th><tr>
<td><select id="typelist" size=1 onChange="ChangeType()">
<option value="Zeichen">Zeichen</option>
<option value="Zahl">Zahl</option>
<!--* LUAEXE=VarTypsList.lua -->
</select>
<td><input type="text" id="varname"/></td>
<td><input type="text" id="startval"/><select id="statelist"></select></td>
</table>
<input type="button" value="Definition erstellen" onclick="SetVar()"/>
</div><br>

<input type="button" value="Variable definieren" onclick="ShowVarDef()"/>&nbsp;&nbsp;
<select id="command" size=1>
<option>--Anweisungen--</option>
<!--* LUAEXE=CommandList.lua -->
</select>
<br><br>
<input type="button" value="Schliessen" onclick="CloseTab()">&nbsp;&nbsp;
<button type="submit">Speichern</button>
</form>
</body>

</html>