<!DOCTYPE HTML>

<html lang="de">

<head>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta charset="iso-8859-15">
<title>Objekt bearbeiten</title>

<style>
h1 {
  font-family: Arial;
  color: blue;
  text-align: center;
  font-size: large;
}

body {
  font-family: Arial;
  color: black;
  text-align: left;
  font-size: medium;
}

.msg {
  font-family: Arial;
  color: red;
  text-align: left;
  font-size: medium;
}

</style>

<link href="jquery.mobile-min.css" rel="stylesheet">
<script src="jquery.min.js"></script>
<script src="jquery.inputmask.min.js"></script>
<script src="CheckInputs.js"></script>
<script>

$.urlParam = function(name){
    ParAr = window.location.href.split("?");
    var results = new RegExp('[\?&]' + name + '=([^&#]*)').exec(ParAr[1]);
    if (results == null) {
       return null;
    }
    return decodeURI(results[1]) || 0;
  }

$(document).ready(function() {

  curname = $("#NA").val();
  $('#ACTION').val("no");

  $('#OT').on('change', function() {
     $('#ACTION').val("TYPECHG");
     document.forms["main"].submit();
  });

  $('#typepic').on('change', function() {
     $('#ACTION').val("PICCHG");
     document.forms["main"].submit();
  });

  if ($("#hdw").length > 0)  
    $("#hdw").prop( "disabled", true );
  if ($("#BT").length > 0)
    $("#BT").prop("disabled", true);
  if ($("#AD").length > 0)  
    $("#AD").prop("disabled", true);
  if ($("#VK").length > 0)  
    $("#VK").prop("disabled", true);
  if ($("#MD").length > 0)  
    $("#MD").prop("disabled", true);
  if ($("#ADO").length > 0)
    $("#ADO").prop("disabled", true);
  if ($("#II").length > 0)
    $("#II").prop("disabled", true);
  else  
    $("#gwbox").hide();

  $("#NA").on('blur', function (event) {
    if ($("#NA").val() != curname)  {
      $.get("/servmain.ccc?HTM=FileExists.cls&filename=" + $('#NA').val() + ".obj", function(data, status){
      //alert(data + "/" + status);
      if (data.trim() == '*ERROR')  {
        $("#msg").text("Namenspruefung fehlgeschlagen");
        $("#NA").val(curname);
        }
      else
      if (data.trim() == '1')  {
        Msg = "Das Objekt " + $("#NA").val() + " existiert schon"
        $("#NA").val(curname);
        $("#msg").text(Msg);
        }
      else  {
        if ($("#msg").width() > 2)
          $("#msg").text("Name ist ok");
        }
      });
      }
    });

  $("#NA").keyup(function() {
    checkName("NA");
    });

  $("#MIV").keyup(function() {
    checkNumber("MIV", ',');
    });

  $("#MAV").keyup(function() {
    checkNumber("MAV", ',');
    });

  $('#filename').val($.urlParam('filename'));  // filename als Parameter weiterreichen an SaveObjFile
  $('#module').val($.urlParam('module'));      // module ebenso
  
  if ($.urlParam('FROM') == "CrtObj.cls")
    document.forms["main"].submit();
    
  if (typeof DefaultReadyFunc == 'function') {   // wenn da was durch lua erstellt wurde, z.B. FS20-Adressumwandlung kann Script in .ioc-Datei stehen
    DefaultReadyFunc(); 
    }  

});


function FreeHdw()
{
alert("Achtung! Fehlerhafte Aenderungen in den freigegebenen Felder koennen dazu fuehren, dass die Verbindung zur Hardware nicht mehr funktioniert!");
if ($("#BT").length > 0)
  $("#BT").prop("disabled", false);
if ($("#AD").length > 0)  
  $("#AD").prop("disabled", false);
if ($("#VK").length > 0)  
  $("#VK").prop("disabled", false);
if ($("#MD").length > 0)  
  $("#MD").prop("disabled", false);
if ($("#ADO").length > 0)
  $("#ADO").prop("disabled", false);
if ($("#II").length > 0)
  $("#II").prop("disabled", false);  
}

function GoBack()
{

const queryString = window.location.search;
const urlParams = new URLSearchParams(queryString);
const module = urlParams.get('module');
const mode = urlParams.get('mode');
if (mode != null)  {
  if (mode == "3")  {
    window.close();
    }
  }

if (module != null)  {
  if (module != 0)  {
    window.location.href = 'servmain.ccc?HTM=DevEdit.cls&name=' + module;
    return;
    }
  }

const objname = urlParams.get('objname');
if (objname != null)  {
  window.location.href = 'servmain.ccc?HTM=ObjList.cls';
  return;
  }

history.back();
}


function EndSave()
{
if (typeof DefaultSaveFunc == 'function') {   // wenn da was durch lua erstellt wurde, z.B. FS20-Adressumwandlung kann Script in .ioc-Datei stehen
    DefaultSaveFunc(); 
    }  
    
if ($("#EH").length > 0)  {  // EH nur bei Thermostat
  var s = $("#EH1_s").val() + ";" + $("#HP1_s").val() + ";" + $("#EH2_s").val() + ";" + $("#HP2_s").val();
  $("#EH").val(s);
  }
$('#ACTION').val("no");  // f. go(-2) in saveobj.cls
}

</script>
</head>

<!--#CL
FROM
CrtObj.cls:
SETLUA=Pars,*PARS
LUAEXE=CrtObj.lua
ENDFROM
#CL-->

<body style="margin-top:10px; margin-left:30px">
<img src="favicon.ico" alt="" style="width: 48px; height: 48px; float: left">
<h1>Objekt bearbeiten</h1>
<br><hr><br>

<form name="main" action="servmain.ccc" onsubmit="EndSave()">
<input type="hidden" name="HTM" value="saveobj.cls">
<input type="hidden" name="FROM" value="editobj.cls">
<input type="hidden" name="filename" id="filename" value=" ">
<input type="hidden" name="module" id="module" value=" ">
<input type="hidden" name="ACTION" id="ACTION" value="no">


<!--#CL
SETLUA=Pars,*PARS
LUAEXE=ReadObjFile.lua
#CL-->
<br><hr><br>
<button type="button" onclick="GoBack()">Zur&uuml;ck</button>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<button type="submit" name="btSel" id="btSel">Speichern</button>
</form>
</body>

</html>
